package kr.iotdoor.boot.model.portfolio;

import jakarta.validation.constraints.NotBlank;

public class PortfolioForm {

    private String portfolioIdntfNo;

    @NotBlank(message = "제목은 필수입니다.")
    private String title;

    @NotBlank(message = "내용은 필수입니다.")
    private String content;

    private String thumbnailAtchFileIdntfNo;

    public String getPortfolioIdntfNo() {
        return portfolioIdntfNo;
    }

    public void setPortfolioIdntfNo(String portfolioIdntfNo) {
        this.portfolioIdntfNo = portfolioIdntfNo;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getThumbnailAtchFileIdntfNo() {
        return thumbnailAtchFileIdntfNo;
    }

    public void setThumbnailAtchFileIdntfNo(String thumbnailAtchFileIdntfNo) {
        this.thumbnailAtchFileIdntfNo = thumbnailAtchFileIdntfNo;
    }
}
